export declare class Link {
    private el;
    color?: string;
    hash?: string;
    icon?: string;
    tab?: boolean;
    navigate?: (event: MouseEvent) => void;
    open?: boolean;
    download?: boolean;
    href?: string;
    hreflang?: string;
    media?: string;
    rel?: string;
    target?: string;
    private _height;
    private _links;
    private handleClick;
    private handleKeyDown;
    private handleMouseDown;
    private handleSlotChange;
    watchHref(): void;
    toggle(active?: boolean): Promise<void>;
    private focusOther;
    private getChildren;
    private getParent;
    private getSiblings;
    private moveIntoFirst;
    private moveIntoLast;
    private moveNext;
    private moveOut;
    private moveOutNext;
    private moveOutPrev;
    private movePrev;
    private modulo;
    private isModifiedEvent;
    componentWillLoad(): void;
    componentDidLoad(): void;
    renderCaret(): any;
    render(): any;
}
